use strict;
use warnings;

use Module::Build;

my $build = Module::Build->new(
   module_name => 'PktDump',
   dist_name   => 'pktdump',
   dist_author => 'Paul "LeoNerd" Evans <leonerd@leonerd.org.uk>',
   dist_abstract => 'Capture and dump packets on network interfaces, with filtering and basic per-packet analysis of contents',
   dist_version => '0.01',
   requires => {
      'Attribute::Storage' => '0.06',
      'Linux::SocketFilter' =>  0,
      'Linux::SocketFilter::Assembler' => 0,
      'Module::Pluggable' => 0,
      'Socket' => 1.95,
      'Socket::Packet' => '0.07',
      'perl' => '5.010', # switch
   },
   license => 'gpl2',
   create_makefile_pl => 'traditional',
   create_license => 1,
);

$build->create_build_script;
